Package org.jdesktop.animation.timing.interpolation

# Class KeyTimes

java.lang.Object
org.jdesktop.animation.timing.interpolation.KeyTimes

public class KeyTimes extends Object
Stores a list of times from 0 to 1 (the elapsed fraction of an animation cycle) that are used in calculating interpolated values for PropertySetter given a matching set of KeyValues and Interpolators for those time intervals. In the simplest case, a KeyFrame will consist of just two times in KeyTimes: 0 and 1.

## Constructor Summary

Constructors
Constructor
Description
`KeyTimes(float... times)`
Creates a new instance of KeyTimes.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyTimes

public KeyTimes(float... times)
Creates a new instance of KeyTimes. Times should be in increasing order and should all be in the range [0,1], with the first value being zero and the last being 1

Throws:
  `IllegalArgumentException` - Time values must be ordered in increasing value, the first value must be 0 and the last value must be 1